YACE64: 2.2.0.48
----------------
* Requirement:
Minimum: Windows 8.1, Intel i5, a good DirectX11.1 Shader Model 5.0 graphics adapter

* Install:
Copy the files to a folder of your choice.

* Startup:
Start the application YACE64Windows.exe from explorer, command-line or link.
Note: The current folder has to be the folder of the executable.

NOTE: PLEASE! If you have any problem installing, starting or running YACE64 (or any other suggestions)
then please inform/ask me FIRST, BEFORE creating any shitstorm in forums, facebook, etc.
This is a private project with no commercial aspects (no ads, no tracking, no payment - nothing), I just want to
share with you - to have a little bit retro-fun. So keep my motivation and give me feedback!
You can contact me per email, facebook and google+ (see http://www.yace64.com/Contact.html).

ROM Files:
There are no ROM files delivered with YACE64,
but you can easily download and install the required files from within the application.
You need the following versions:
basic.901226-01.bin
characters.901225-01.bin
kernal.901227-03.bin
1541-c000.325302-01.bin
1541-e000.901229-03.bin
You can also find some download links at http://www.yace64.com/Links.html

* Running:
Some basic control hints:
F10 toggles the on screen menu. Within the menu you can navigate with the cursor keys and select with return. 
You can also use the mouse or a joystick.
For futher help see:
http://www.yace64.com/FeatureIntro.html
http://www.yace64.com/Help.html
or use the on screen help.

YACE64 stores its configuration file (YACE.ini) within user/documents in a folder YACE.
This folder is used per default for downloads, recordings, screenshots and so on.

For automatic decompression of zip, lha and other archives you need 7zip (http://www.7-zip.org).
It can also be downloaded and installed from within the application.

* License:
Short and easy:

You are allowed to:
-Use the Software for free.
-Distribute the Software in unmodified original distribution with referencing the original source (www.yace64.com) for none commercial purpose.

You are not allowed to:
-Reverse engeneer or change the distribution
-Sell or distribute for commercial use

I give no functional guarantie and no legal responsebility.

* Application arguments:
-p <TCP port>  default: 8080
-a <adapter>  default: 0.0.0.0
-c <passcode>  minimum 5 characters
-ap   autopause server on no client
-s     start server

-d <disk image path> path to the disk images
-ntsc   use NTSC timing, default is PAL
-8 <on|off>  1541 disc drive 8 on or off
-9 <on|off>  1541 disc drive 9 on or off
-reu <size in kb>  RAM expansion size, 0=no expansion
-fs   fullscreen
-con <yes|no>   open console, default: yes

-rk <kernal rom path>  filename and path
-rb <basic rom path>  filename and path
-rc <character rom path> filename and path
-r1541c <1541 $C000 rom path> filename and path
-r1541e <1541 $E000 rom path> filename and path

-l8 <discimage>  load discimage to drive 8 (.g64, .d64)
-l9 <discimage>  load discimage to drive 9 (.g64, .d64)
-l <program>  load program into memory (.prg, .t64)
-crt <cartridge>  insert cartridge (.crt)

-ar   run after load (.prg, .t64)

-warp    run with maximum speed
-silent    run without graphics output and userinterface
-limitcycles <cpu-cycles>    run number of cpu-cycles and then exit
-exitscreenshot <screenshot>    create a screenshot on exit to the given filename
-test	run in testmode for testbench

-telnet   opens a telnet server on port 23

Changes 2.2.0.48 (08.10.2018)
-------------------------------------------------------
- Includes first VR version
- Fixed keyboard hang
- Fixed/Completed american keyboard mapping
- Fixed/Completed default/direct keyboard mapping - keys are mapped to their position
- Added setting to disable C64 keyboard when menu (F10) is open
- Runs on Windows 8.1 again

Changes 2.2.0.46 (26.6.2018)
-------------------------------------------------------
- Changed audio output to IXAudio and X3DAudio to support 3D audio in upcoming VR version.

Changes 2.2.0.45 (8.5.2018)
-------------------------------------------------------
- Telnet console (Port 23, Parameter -telnet)
- Minor Bugfixes

Changes 2.2.0.44 (22.4.2018)
-------------------------------------------------------
Added console commands:
- Load/Save Memory (MR, MW)
- Load disc images, programs, states, 3D templates from files (LOAD)
- Save disc images, programs, state to files (SAVE)  
- Sendkeys to keyboard (KEYS)

Changes 2.2.0.43 (18.4.2018)
-------------------------------------------------------
* Added console commando REC and STOP for recording of Video, Midi and State
* Added version check
* Changed exitscreenshot using GDIplus again  


Changes 2.2.0.42 (16.4.2018)
-------------------------------------------------------
* Removed CS command, due to logical problems  
* Added Trace level commands (TS, TL)
* Added prompts to AL and ML command outputs
* Added Symbol set and list commands (ASS, ASL)
* Write symbols with breakpoints (BW)
* Added reset for conditions after instructions
* Console cursor set after prompt on return


Changes 2.2.0.41 (13.4.2018)
-------------------------------------------------------
* Completed features for testbench (warp, silent, exitscreenshot, test and limitcycles)
* Fixed size for debug console (fix for Win8)
* Write breakpoints command (BW)
* Clearing ConditionStates after one assembler step  
* Changed F10 behaviour (Shift+F10 toggles overlays) 

Changes 2.2.0.38 (5.4.2018)
-------------------------------------------------------
* Added Debug Console (F6)
* Fixed Joystick2 settings
* Fixed SID Envelope
* Added conditional breakpoints
* Added Hotkeys (see help menu in application)